otherSettingsSide1 = {};

function otherSettingsSide1:generate(installModGuiTablePos, masterPage, slavePage, pageSide)
	----is line/button a pullDownMenue ---> check is pullDownOpen or not --> g_currentMission.guiMenue.master.isPullDownOpen()		
	local isGenerate, errorTxt = true, "";
	function printError()
		if not isGenerate and string.len(tostring(errorTxt)) > 0 then print(tostring(errorTxt));end;
	end;	
	local lineButtonTable = {};	
	local lineCmdTable = {};
	--line 1	
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "miniMapStat0_";
		isHidden = false; 
		buttonType = 7; 
		buttonWidth = 0; 		
		txtOverButton = "MiniMap Auto State 0"; 
		helpIcon = 0; 
		helpTxt = {};
		infoTxt = "Set MiniMap Auto State 0\nSetzt die MiniMap immer auf minimal nach dem größer machen";
		cmdTable = moGeneralSettings.other;
		cmdValue = "miniMapAutoState0";
		cmdType = "boolean";
		buttonTxt = "";	
	};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "maxSideNotifications_";
		isHidden = false; 
		buttonType = 3; 
		buttonWidth = 0; 		
		txtOverButton = "Max Side Notifications"; 
		helpIcon = 0; 
		helpTxt = {};
		infoTxt = "View Max Side Notifications (Default 5, min 1, max 10)";
		cmdTable = moGeneralSettings.sideNotifications;
		cmdValue = "viewMax";
		cmdType = "int";
		buttonTxt = "";	
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=1, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 1
	--line 2
	lineButtonTable = {};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "sideNotificationsDuration_";
		isHidden = false; 
		buttonType = 3; 
		buttonWidth = 0; 		
		txtOverButton = "Notifications Duration"; 
		helpIcon = 0; 
		helpTxt = {};
		infoTxt = "Dauer der Anzeige - Side Notifications (Default 500, min 100, max 1000)";
		cmdTable = moGeneralSettings.sideNotifications;
		cmdValue = "duration";
		cmdType = "int";
		buttonTxt = "";	
	};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "sideNotificationsUpDownFix_";
		isHidden = false; 
		buttonType = 3; 
		buttonWidth = 0; 		
		txtOverButton = "Fix Notifications"; 
		helpIcon = 0; 
		helpTxt = {};
		infoTxt = "Fix Side Notifications Position Up/Down - for Moh PDA a position (Default 0, min -10, max 10)\nWait 1-2 sec for LS Update Text";
		cmdTable = moGeneralSettings.sideNotifications;
		cmdValue = "upDownFix";
		cmdType = "int";
		buttonTxt = "";	
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=2, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 2
	--line 3
	local txt = {"Weather Box", "Time Box", "Money Box", "Temperature Box(Season)", "Season Box", "State Box (Soil Frozen)"}
	lineButtonTable = {};
	lineCmdTable = {};
	for a=1, 6 do		
		lineCmdTable[a] = {};
		lineCmdTable[a].cmdTable = nil;
		lineCmdTable[a].cmdValue = nil;
		lineCmdTable[a].cmdType = "stringOnly";
		lineCmdTable[a].buttonTxt = txt[a];
		lineCmdTable[a].isSelect = true;		
		lineCmdTable[a].infoTxt = "Set On or Off";		
	end;
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "wtm_";
		isHidden = false; 
		buttonType = 2; 
		buttonWidth = 0; 		
		txtOverButton = "LS Box Weather-Time-Money-Seasons On/Off"; 
		helpIcon = 0; 
		helpTxt = {};
		infoTxt = "Set WTM+Seasons State for a Box";
		cmdTable = lineCmdTable;
		cmdValue = nil;
		cmdType = "pullDown_6";
		buttonTxt = "Select and Click";	
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=3, maxButtons=1, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 3
end;

function otherSettingsSide1:setReturnClick(self, returnClick, whichPDA, isPullDownOpen, clickLine, clickButton, masterPage, slavePage, pageSide, isVirtualReturnClick) --byName (virtual.... for Activate over Mod(not over Gui Menue click)for set Icons or at GuiMenue or or etc)
	local whichSubPDA = whichPDA or "masterPDA_";
	local upOrLeft = string.find(returnClick, "_Up") or string.find(returnClick, "_Left");
	local downOrRight = string.find(returnClick, "_Down") or string.find(returnClick, "_Right");
	
	local defaultPageSide = 1; --ändern wenn die seite verschoben wird
	
	if string.find(returnClick, "miniMapStat0_") and not isPullDownOpen then	
		if moGeneralSettings.other.miniMapAutoState0 then moGeneralSettings.other.miniMapAutoState0 = false;else moGeneralSettings.other.miniMapAutoState0 = true;end;
		return;	
	elseif string.find(returnClick, "wtm_") then
		local getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="wtm_"} );			
		if getThisButtonPage == nil then return;end;
		local guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
		if getThisButtonPage.slavePage ~= nil then guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].page[getThisButtonPage.slavePage].side[getThisButtonPage.pageSide];end;
		local buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
		local pullDownSelect = moSetGetGuiMenue:getSelectPullDownLine(self, nil, nil, buttonTable, true);
		if pullDownSelect ~= nil and #pullDownSelect > 0 then
			for a=1, #pullDownSelect do
				if pullDownSelect[a] ~= nil then
					if a == 1 then
						MultiOverlayV3.wtm.weatherBox = pullDownSelect[a];
					elseif a == 2 then
						MultiOverlayV3.wtm.showTime = pullDownSelect[a];						
					elseif a == 3 then
						MultiOverlayV3.wtm.showMoney = pullDownSelect[a];						
					elseif a == 4 then
						MultiOverlayV3.wtm.temperatureBox = pullDownSelect[a];
					elseif a == 5 then
						MultiOverlayV3.wtm.seasonBox = pullDownSelect[a];
					elseif a == 6 then
						MultiOverlayV3.wtm.stateBox = pullDownSelect[a];
					end;
				end;
			end;
			moSetGetExtras:setWTM(false);
			g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].tempSave = true;
		end;
	elseif string.find(returnClick, "maxSideNotifications_") and not isPullDownOpen then	
		if upOrLeft then
			if moGeneralSettings.sideNotifications.viewMax <= 1 then return;end;
			moGeneralSettings.sideNotifications.viewMax = moGeneralSettings.sideNotifications.viewMax-1;
			SideNotification.MAX_NOTIFICATIONS = moGeneralSettings.sideNotifications.viewMax;
		elseif downOrRight then
			if moGeneralSettings.sideNotifications.viewMax >= 10 then return;end;
			moGeneralSettings.sideNotifications.viewMax = moGeneralSettings.sideNotifications.viewMax+1;
			SideNotification.MAX_NOTIFICATIONS = moGeneralSettings.sideNotifications.viewMax;
		end;
		return;
	elseif string.find(returnClick, "sideNotificationsPos_") and not isPullDownOpen then	
		if upOrLeft then
			if moGeneralSettings.sideNotifications.pos <= 1 then return;end;
			moGeneralSettings.sideNotifications.pos = moGeneralSettings.sideNotifications.pos-1;			
		elseif downOrRight then
			if moGeneralSettings.sideNotifications.pos >= 3 then return;end;
			moGeneralSettings.sideNotifications.pos = moGeneralSettings.sideNotifications.pos+1;			
		end;
		g_currentMission:showBlinkingWarning("Function is disabled", 2500);
		return;
	elseif string.find(returnClick, "sideNotificationsDuration_") and not isPullDownOpen then	
		if upOrLeft then
			if moGeneralSettings.sideNotifications.duration <= 100 then return;end;
			moGeneralSettings.sideNotifications.duration = moGeneralSettings.sideNotifications.duration-100;			
			SideNotification.FADE_DURATION = moGeneralSettings.sideNotifications.duration;
		elseif downOrRight then
			if moGeneralSettings.sideNotifications.duration >= 1000 then return;end;
			moGeneralSettings.sideNotifications.duration = moGeneralSettings.sideNotifications.duration+100;
			SideNotification.FADE_DURATION = moGeneralSettings.sideNotifications.duration;
		end;		
		return;	
	elseif string.find(returnClick, "sideNotificationsUpDownFix_") and not isPullDownOpen then	
		if upOrLeft then
			if moGeneralSettings.sideNotifications.upDownFix <= -10 then return;end;
			moGeneralSettings.sideNotifications.upDownFix = moGeneralSettings.sideNotifications.upDownFix-1;			
		elseif downOrRight then
			if moGeneralSettings.sideNotifications.upDownFix >= 10 then return;end;
			moGeneralSettings.sideNotifications.upDownFix = moGeneralSettings.sideNotifications.upDownFix+1;			
		end;
		moSetGetExtras:setSideNotifications(false);		
		return;
	end;	
	return;
end;

function getMiniMapPos()
	
end;

